import fetch from '@/utils/fetch'

/**
 * 【增】 - 评价指标
 *
 * @param {Object} data
 * @returns
 */
export const createEvaluationIndicatorApi = (data) =>
  fetch({ url: 'evaluation/indicator', method: 'post', data })

/**
 * 【查】 -获取评价指标信息
 * @param {Object} data
 * @returns
 */
export const getssEvaluationIndicatorApi = () =>
  fetch({ url: 'evaluation/indicator', method: 'get' })

/**
 * 【查】 -获取老师所管辖的学生评价信息
 * @param {Object} data
 * @returns
 */
export const getAllTakeChargeStudentApi = (data) =>
  fetch({ url: 'evaluation', method: 'get', data })

/**
 * 【改】 -评分
 * @param {Object} data
 * @returns
 */
export const evaluationApi = (data) =>
  fetch({ url: 'evaluation', method: 'post', data })

/**
 * 【查】 -学员查询自己的评分
 * @returns
 */
export const getSleftEvaluationApi = () =>
  fetch({ url: 'evaluation/my', method: 'get' })
